/*
 * C
 *
 * Copyright 2012-2013 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

#ifndef _INTERRUPTS
#define _INTERRUPTS

#include "microej.h"

/**
 * This function must be called when entering in an interrupt.
 */
void enterInterrupt(void);


/**
 * This function must be called when leaving an interrupt.
 */
void leaveInterrupt(void);

/**
 * This function returns MICROEJ_TRUE or MICROEJ_FALSE to indicate if an ISR is currently executed.
 */
uint8_t isInInterrupt(void); 

#endif
