﻿/*
 * C
 *
 * Copyright 2013-2014 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/* Includes ------------------------------------------------------------------*/

#include "interrupts.h"
#include "microej.h"
#include <RTL.h>

/* Public functions ----------------------------------------------------------*/

void OS_SUPPORT_disable_context_switching()
{
	if( isInInterrupt() == MICROEJ_FALSE )
	{
		tsk_lock();
	}
}

void OS_SUPPORT_enable_context_switching()
{
	if( isInInterrupt() == MICROEJ_FALSE )
	{
		tsk_unlock();
	}
}
